Package Details: vvvvvv 2.2-3

Git Clone URL: https://aur.archlinux.org/vvvvvv.git (read-only)
Package Base: vvvvvv
Description: A retro-styled 2D platformer (game sold separately)
Upstream URL: https://thelettervsixtim.es/
Licenses: custom
Groups: humblebundle3, humblebundle4, humblebundles
Submitter: gadget3000
Maintainer: ejona86
Last Packager: ejona86
Votes: 33
Popularity: 0.000000
First Submitted: 2011-07-26 19:28
Last Updated: 2019-01-14 03:23

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

gadget3000 commented on 2011-08-02 08:26

When testing which dependencies this package needed the first error it threw up was about libjpeg6. I then installed that and a libtiff error came up. That means that vvvvvv depends on libjpeg6 so it makes sense to list it as a dependency, rather than have another package provide it for you (in case libtiff's dependencies change or libtiff is no longer required by vvvvvv.).

Ideka commented on 2011-08-01 20:31

libtiff4 depends on libjpeg6, so libjpeg6 should be removed from the dependency list. I think.

chungy commented on 2011-07-27 17:35

This little package is turning out to be a bit of a nuisance... :P

The newer build has LIB32 and LIBS64 directories, so I'd put rm -fr LIB* or rm -fr LIB{32,S64} into the PKGBUILD instead (later is a bit "cleaner" since it specifies only the exact directories you want to remove, though it's a bit unlikely LIB* would ever be used for anything else...). Thanks for preferring the system packages over those though... things like fullscreen didn't work properly otherwise.

w1ntermute commented on 2011-07-27 14:54

Is anyone else not getting sound? I just tried it and there was no sound (and no errors when starting it from the CLI). I'm on x64.

w1ntermute commented on 2011-07-27 14:54

Is anyone else not getting sound? I just tried it and there was no sound (and no errors when starting it from the CLI).

widowild commented on 2011-07-27 10:49

Hello, small update http://pastebin.com/CTZ0tYcP

Anonymous comment on 2011-07-27 08:26

Yeah, that was fast! Works flawlessly, only thing that could be better is the icon (a little more original and higher resolution for gnome-shell users).

Anonymous comment on 2011-07-27 06:41

@mario.torme
you can remove the VVVVVV_64 binary if you dont need it. then strip wont fail

Anonymous comment on 2011-07-27 00:57

To get this to work, I had to change /usr/bin/vvvvvv (or VVVVVV in the tarball) to this:

https://raw.github.com/gist/1108439/fa9e2ec1293985b7de1dcaf5a934bb6522583150/vvvvvv

Anonymous comment on 2011-07-26 22:55

I was able to install it, but I get this output when I try to run it:

./VVVVVV_64: /usr/lib/libjpeg.so.62: no version information available (required by ./LIB64/libSDL_image-1.2.so.0)
./VVVVVV_64: /usr/lib/libaa.so.1: no version information available (required by ./LIB64/libSDL-1.2.so.0)
./VVVVVV_64: /usr/lib/libjpeg.so.62: no version information available (required by /usr/lib/libtiff.so.4)

...and then the /usr/bin/vvvvvv script dies with a "1436 Segmentation fault"